Page MenuHomePhabricator

1.38.0-wmf.16 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
hashar
Release Version
1.38.0-wmf.16
Release Date
Mon, Jan 3, 12:00 AM

2022 week 01 1.38-wmf.16 Changes wmf/1.38.0-wmf.16

This MediaWiki Train Deployment is scheduled for the week of Monday, January 3rd:

Monday January 3rdTuesday, January 4thWednesday, January 5thThursday, January 6thFriday
Backports only.Branch wmf.16 and deploy to Group 0 Wikis.Deploy wmf.16 to Group 1 Wikis.Deploy wmf.16 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.16 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.38.0-wmf.15
Next: 1.38.0-wmf.17

Event Timeline

thcipriani changed Release Date from Dec 28 2020, 12:00 AM to Tue, Dec 28, 12:00 AM.Oct 21 2021, 12:33 AM
thcipriani changed Release Date from Tue, Dec 28, 12:00 AM to Mon, Jan 3, 12:00 AM.Oct 21 2021, 12:42 AM
thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: hashar.
thcipriani set the point value for this task to 5.
Risky Patch! 🚂🔥
  • Change: https://gerrit.wikimedia.org/r/745334
  • Summary:
    • Starts a session cookies when people edit via the API (so far it only happened via the edit page). Session cookies affect edge cache behavior so maybe it'll have some unpredictable side effect.
  • Test plan:
    • No need to verify per se, just watch for people reporting problems.
  • Places to monitor:
  • Revert plan: patch should be revertable without problems
  • Affected wikis: all
  • IRC contact: @Tgr, @Jdlrobson
  • UBN Task Projects/tags: MediaWiki-Page-editing?
mmodell changed the task status from Open to In Progress.Tue, Jan 4, 6:32 AM

Mentioned in SAL (#wikimedia-operations) [2022-01-04T20:33:57Z] <twentyafterfour_> MediaWiki train for 1.38.0-wmf.16 - ran scap prep T293957

Change 751509 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] testwikis wikis to 1.38.0-wmf.16 refs T293957

https://gerrit.wikimedia.org/r/751509

Change 751509 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.38.0-wmf.16 refs T293957

https://gerrit.wikimedia.org/r/751509

Mentioned in SAL (#wikimedia-operations) [2022-01-04T22:17:41Z] <twentyafterfour@deploy1002> Started scap: testwikis wikis to 1.38.0-wmf.16 refs T293957

Mentioned in SAL (#wikimedia-operations) [2022-01-04T22:55:37Z] <twentyafterfour@deploy1002> Finished scap: testwikis wikis to 1.38.0-wmf.16 refs T293957 (duration: 37m 56s)

Mentioned in SAL (#wikimedia-operations) [2022-01-05T20:11:04Z] <twentyafterfour@deploy1002> Synchronized php-1.38.0-wmf.16/includes/changetags/ChangeTags.php: unblock the train, refs T293957 (duration: 01m 09s)

Change 751795 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] group0 wikis to 1.38.0-wmf.16 refs T293957

https://gerrit.wikimedia.org/r/751795

Change 751795 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.38.0-wmf.16 refs T293957

https://gerrit.wikimedia.org/r/751795

Mentioned in SAL (#wikimedia-operations) [2022-01-05T20:14:23Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.38.0-wmf.16 refs T293957

Change 751796 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] group1 wikis to 1.38.0-wmf.16 refs T293957

https://gerrit.wikimedia.org/r/751796

Change 751796 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.38.0-wmf.16 refs T293957

https://gerrit.wikimedia.org/r/751796

Mentioned in SAL (#wikimedia-operations) [2022-01-05T20:23:53Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.38.0-wmf.16 refs T293957

Mentioned in SAL (#wikimedia-operations) [2022-01-05T20:25:01Z] <twentyafterfour@deploy1002> Synchronized php: group1 wikis to 1.38.0-wmf.16 refs T293957 (duration: 01m 07s)